<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Форма добаления/редактирования налогов.
 * 
 * Файл: /admin/shop/action/form_edit_add_tax.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */ 
if (isset($id)) 
{
	$edit_tax = to_int($id);
} 
else 
{
	$edit_tax = 0;
}

$form_params = array();
$form_params['title'] = $edit_tax==0?$GLOBALS['MSG_shops']['tax_add_form_title']:$GLOBALS['MSG_shops']['tax_edit_form_title'];
$form_params['form_attribs']['method'] = 'post';
$form_params['form_attribs']['action'] = '/admin/shop/shop.php';
$form_params['form_attribs']['name'] = 'EditAddTax';

$admin_forms_fields = new admin_forms_fields();

$shop = & singleton('shop');

$new_path_array[] = array(
'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data'),
'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data'),
'name' => $GLOBALS['MSG_shops']['header_admin__list_forms']);

$new_path_array[] = array(
'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', '', 55, 'load_data'),
'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', '', 55, 'load_data'),
'name' => $GLOBALS['MSG_shops']['tax_add_form_link']);

// Передаем в массив для констурктора хлебные крошки
$form_params['path_array'] = $new_path_array;

$admin_forms_fields->admin_forms_fields($form_params);

$DataBase = & singleton('DataBase');

$kernel = & singleton('kernel');

// Редактировние налога
if ($edit_tax)
{
	$type = 1;

	$result = $shop->GetTax($edit_tax);

	$shop_tax_name = $result['shop_tax_name'];

	$shop_tax_rate = $result['shop_tax_rate'];

	$shop_tax_is_in_price = $result['shop_tax_is_in_price'];
	
	$shop_tax_cml_id = $result['shop_tax_cml_id'];
}
// Добавление налога
else
{
	$shop_tax_name = '';

	$shop_tax_rate = 0;

	$shop_tax_is_in_price = 0;
	
	$shop_tax_cml_id = $kernel->Guid(); ;
}


// Параметры.
$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab']);

// Имя налога
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'tax_name';
$param['caption'] = $GLOBALS['MSG_shops']['tax_add_form_name'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $shop_tax_name;
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 255;
$param['attributes']['class'] = 'large';

$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);


// Ставка
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'tax_rate';
$param['caption'] = $GLOBALS['MSG_shops']['tax_add_form_rate'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $shop_tax_rate;
$param['format']['maxlen']['value'] = 8;
$param['format']['lib']['value'] = 'decimal';
$param['format']['lib']['message'] = $GLOBALS['MSG_shops']['show_invalid_characters_decimal'];
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);


// Входит в цену
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'tax_is_in_price';
$param['caption'] = $GLOBALS['MSG_shops']['tax_is_in_price'];
$param['type'] = 1; // checkbox
$param['value'] = $shop_tax_is_in_price;

$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);


// Идентификатор налога для формата CommerceML
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'tax_cml_id';
$param['caption'] = $GLOBALS['MSG_shops']['tax_add_form_1c_commerce_ml'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $shop_tax_cml_id;
$param['format']['maxlen']['value'] = 100;

$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// передеам скрытое поле с идентификатором адреса если он есть
if ($edit_tax)
{
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'edit_tax';
	$param['caption'] = '';
	$param['type'] = 4; // hidden.
	$param['value'] = $edit_tax;
	$admin_forms_fields->AddField($param);
}

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'action';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = 'show_tax';
$admin_forms_fields->AddField($param);


// Кнопка "Сохранить".
$param = array();
$param['name'] = 'save_tax';
$param['caption'] = $GLOBALS['MSG_shops']['save'];
$param['attributes']['onclick'] = "return SendForm('{$admin_forms_fields->GetWindowId()}', '{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'button';
$admin_forms_fields->AddButton($param);

// Кнопка "Применить".
$param = array();
$param['name'] = 'add_tax';
$param['caption'] = $GLOBALS['MSG_shops']['apply'];
$param['image'] = '/admin/images/add.gif';
$param['attributes']['onclick'] = "return SendForm('{$admin_forms_fields->GetWindowId()}', '{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'submit';
$admin_forms_fields->AddButton($param);

// Отображение формы.
$admin_forms_fields->ShowForm();
?>